#define PRAGMA_PATH "mystymood_data\\mm_scripts"
#define PRAGMA_PATH "mystymood_data\\mm_models"
#define PRAGMA_PATH "mystymood_data\\mm_textures"
#define PRAGMA_PATH "mystymood_data\\mm_lensflares"
#define PRAGMA_PATH "mystymood_data\\mm_sounds"


////ADJUST THIS IF YOU NEED THE WATERLEVEL ON A DIFFERENT HEIGHT THAN THE TERRAIN!
var water_level = 0;//should be the high of your sea-waterplane in WED

//realtime water reflection view
VIEW* view_rr =
{
	layer = -1;
}

////entity pointers
ENTITY* ent_obj;
ENTITY* ent_terrain;
ENTITY* ent_lake;
ENTITY* ent_river;
ENTITY* ent_waterfall;
ENTITY* ent_mystymood_trigg;

#include "sky_template.c"

#include "terrain_template.c"
#include "water_template.c"
#include "obj_template.c"

////uncomment this for creating cubemap for environmental reflection effect...pressing "x" creates the cubemap
//#include "cubemap_gen.c"
